package com.ff.base.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 会员日志操作项目枚举
 *
 * @author liukang
 */
@Getter
@AllArgsConstructor
public enum MemberLogOperProject {

    LOG_OPER_PROJECT_0("0", "姓名"),
    LOG_OPER_PROJECT_1("1", "手机号"),
    LOG_OPER_PROJECT_2("2", "账号状态"),
    LOG_OPER_PROJECT_3("3", "银行卡"),
    LOG_OPER_PROJECT_4("4", "账号密码"),
    LOG_OPER_PROJECT_5("5", "忘记密码"),
    LOG_OPER_PROJECT_6("6", "提现密码"),
    LOG_OPER_PROJECT_7("7", "WhatsApp"),
    LOG_OPER_PROJECT_8("8", "Facebook"),
    LOG_OPER_PROJECT_9("9", "Telegram"),
    LOG_OPER_PROJECT_10("10", "Zalo"),
    LOG_OPER_PROJECT_11("11", "邮箱地址"),
    LOG_OPER_PROJECT_12("12", "手势密码"),
    LOG_OPER_PROJECT_13("13", "谷歌验证"),
    LOG_OPER_PROJECT_14("14", "密保问题"),
    LOG_OPER_PROJECT_15("15", "会员层级"),
    LOG_OPER_PROJECT_16("16", "上级代理"),
    LOG_OPER_PROJECT_17("17", "登录"),
    LOG_OPER_PROJECT_18("18", "登出"),
    LOG_OPER_PROJECT_19("19", "VIP等级");


    /**
     * 编码
     */
    private String code;

    /**
     * 描述
     */
    private String desc;

}
